package com.template.services;

import com.template.model.pojo.AlumniOrg;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.CommonResult;
import com.template.model.vo.DeviceCountVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-19
 */
public interface AlumniOrgService extends IService<AlumniOrg> {

    int insertOrg(AlumniOrg ao);

    int updateOrg(AlumniOrg ao);

    List<AlumniOrg> queryAlumniOrg();

    List<AlumniOrg> queryColleges();

    List<AlumniOrg> queryPeriods(int collegeId);

    List<AlumniOrg> queryMajors(int periodId);

    List<AlumniOrg> queryClasses(int majorId);

    List<AlumniOrg> queryAlumniOrgsByName(List<String> name);
}
